<div class="container border mt-4" style="width: 75rem;">
    <h2>Listado de Gasolineras</h2>
    <div class="row" id="listadoTarget">
    </div>
</div>

<template id="items">
        <div class="col-sm-6 mt-3">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title"></h5>
                    <p class="card-text text-secondary"></p>
                    <a href="#" target="_blank" class="btn btn-primary">Ir a gasolinera</a>
                </div>
            </div>
        </div>
</template>

<script type="application/javascript">

    let template = document.querySelector("#items");
    let target = document.querySelector("#listadoTarget");

    let id_ciudad = "{{ id }}";
    console.log("CIUDAD: " + id_ciudad);
    const urlList = `/precioCarburantes/${id_ciudad}`;
    const myHeaders = new Headers();
    myHeaders.append('authorization', `Token ${localStorage.Token}`);

    console.log(localStorage.Token);

    // FETCH PARA MOVIEDB
    // fetch(urlList, {
    //     method: 'GET',
    //     headers: myHeaders,
    // }).then( res => res.json())
    //         .then(data => {
    //                     console.log(data.results);
    //
    //                     data.results.map( elemento => {
    //                         let fichaClonada = template.content.cloneNode(true);
    //
    //                         fichaClonada.querySelector("h5.card-title").innerHTML = elemento.title;
    //                         target.appendChild(fichaClonada);
    //
    //                         console.log(elemento.title)
    //                     })
    //                 }
    //         )

    const replaceComma = cadena => {
        return cadena.replace(/,/g, ".");
    };

    fetch(urlList, {
        method: 'GET',
        headers: myHeaders,
    }).then( res => res.json())
            .catch(error => {
                let mensaje = document.createElement("p");
                mensaje.innerHTML = "No tienes privilegios para acceder a esta página";
                target.appendChild(mensaje);
            })
            .then(data => {

                        data.map( elemento => {
                            let fichaClonada = template.content.cloneNode(true);

                            fichaClonada.querySelector("h5.card-title").innerHTML = elemento.Rótulo + " (" + elemento.Localidad + ")";
                            let infoGasolinera = "Dirección: " + elemento.Dirección
                                    + "</br>Municipio: " + elemento.Municipio
                                    + "</br>Precio Gasoleo A: " + replaceComma(elemento["Precio Gasoleo A"])
                                    + "</br>Precio Gasolina  98: " + ((elemento["Precio Gasolina  98"]) ? replaceComma(elemento["Precio Gasolina  98"]) : " - ")
                                    + "</br>Precio Gasolina 95 Protección: " + ((elemento["Precio Gasolina 95 Protección"]) ? replaceComma(elemento["Precio Gasolina 95 Protección"]) : " - ")
                            ;

                            let urlMaps = `https://www.google.com/maps/search/?api=1&query=${replaceComma(elemento.Latitud)},${replaceComma(elemento["Longitud (WGS84)"])}`;

                            fichaClonada.querySelector("p.card-text").innerHTML = infoGasolinera;

                            fichaClonada.querySelector("a.btn").href = urlMaps;

                            target.appendChild(fichaClonada);


                        })
                    }
            )


</script>
